Ethereal DNP Dissector Memory Corruption DoS

2005-01-20T03:06:44
ID OSVDB:13110
Type osvdb
Reporter OSVDB
Modified 2005-01-20T03:06:44

Description

Vulnerability Description

Ethereal contains a memory corruption flaw related to the DNP dissector that may allow an attacker to cause a denial of service. No further details have been provided.

Solution Description

Upgrade to version 0.10.9 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

Ethereal contains a memory corruption flaw related to the DNP dissector that may allow an attacker to cause a denial of service. No further details have been provided.

References:

Vendor Specific News/Changelog Entry: http://www.ethereal.com/news/item_20050120_01.html Vendor Specific Advisory URL Vendor Specific Advisory URL Vendor Specific Advisory URL Vendor Specific Advisory URL Vendor Specific Advisory URL Security Tracker: 1012962 Secunia Advisory ID:13955 Secunia Advisory ID:14259 Secunia Advisory ID:13979 Secunia Advisory ID:14759 Secunia Advisory ID:13946 Secunia Advisory ID:13954 Other Advisory URL: ftp://patches.sgi.com/support/free/security/advisories/20050202-01-U.asc Other Advisory URL: http://www.mandrakesoft.com/security/advisories?name=MDKSA-2005:013 ISS X-Force ID: 19001 CVE-2005-0008 CIAC Advisory: p-106